Skip to main content
GET
/
v2
/
api
ERC1155 Token Transfers Advanced Filter
curl --request GET \
  --url https://api.etherscan.io/v2/api
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "13472395",
      "timeStamp": "1634973285",
      "hash": "0x643b15f3ffaad5d38e33e5872b4ebaa7a643eda8b50ffd5331f682934ee65d4d",
      "nonce": "41",
      "blockHash": "0xa5da536dfbe8125eb146114e2ee0d0bdef2b20483aacbf30fed6b60f092059e6",
      "transactionIndex": "100",
      "gas": "140000",
      "gasPrice": "52898577246",
      "gasUsed": "105030",
      "cumulativeGasUsed": "11739203",
      "input": "deprecated",
      "methodId": "0x3e6b214b",
      "functionName": "",
      "contractAddress": "0x76be3b62873462d2142405439777e971754e8e77",
      "from": "0x1e63326a84d2fa207bdfa856da9278a93deba418",
      "to": "0x83f564d180b58ad9a02a449105568189ee7de8cb",
      "tokenID": "10371",
      "tokenValue": "1",
      "tokenName": "parallel",
      "tokenSymbol": "LL",
      "confirmations": "9995266"
    }
  ]
}
Beta Explore and preview data from our Advanced Filter page.

Query parameters.

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, such as 1 for Ethereum or 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"token1155tx"
Set to token1155tx for this endpoint.
contractaddress
string
default:"0x76be3b62873462d2142405439777e971754e8e77"
The ERC1155 token contract address to filter transfers by.
from
string
default:"0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0"
The sender address to filter transactions by.
to
string
default:"0x71c7656ec7ab88b098defb751b7401b5f6d8976f"
The recipient address to filter transactions by.
fromto_opr
string
default:"or"
Address filter operator, either and or or.Use fromto_opr=and when both from and to must match. Use fromto_opr=or when either from or to can match.
startblock
integer
default:"0"
Starting block number to search from.
endblock
string
default:"latest"
Ending block number to search to, or latest for the latest block.
sort
string
default:"desc"
Sort order, either desc for the latest transactions first or asc for the oldest transactions first.
page
integer
default:"1"
Page number for pagination.
offset
integer
default:"10"
Number of records per page. Use the page parameter for subsequent records.
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "13472395",
      "timeStamp": "1634973285",
      "hash": "0x643b15f3ffaad5d38e33e5872b4ebaa7a643eda8b50ffd5331f682934ee65d4d",
      "nonce": "41",
      "blockHash": "0xa5da536dfbe8125eb146114e2ee0d0bdef2b20483aacbf30fed6b60f092059e6",
      "transactionIndex": "100",
      "gas": "140000",
      "gasPrice": "52898577246",
      "gasUsed": "105030",
      "cumulativeGasUsed": "11739203",
      "input": "deprecated",
      "methodId": "0x3e6b214b",
      "functionName": "",
      "contractAddress": "0x76be3b62873462d2142405439777e971754e8e77",
      "from": "0x1e63326a84d2fa207bdfa856da9278a93deba418",
      "to": "0x83f564d180b58ad9a02a449105568189ee7de8cb",
      "tokenID": "10371",
      "tokenValue": "1",
      "tokenName": "parallel",
      "tokenSymbol": "LL",
      "confirmations": "9995266"
    }
  ]
}